# class Puppet::Parser::AST::Not

### Attributes

value[RW]

### Public Instance Methods

each() { |value| ... } click to toggle source

    # File lib/puppet/parser/ast/not.rb, line 10
    def each
      yield @value
    end

evaluate(scope) click to toggle source

    # File lib/puppet/parser/ast/not.rb, line 14
    def evaluate(scope)
      val = @value.safeevaluate(scope)
      ! Puppet::Parser::Scope.true?(val)
    end